/****************************************************************************
    Qt-BSch3V schematic capture
    Copyright (C) 2002-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/

#ifndef EDITCOMMENTBASE_H
#define EDITCOMMENTBASE_H

#include <qvariant.h>
#include <qdialog.h>
//Added by qt3to4:
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QEvent>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLineEdit;
class QPushButton;

class editcommentBase : public QDialog
{ 
    Q_OBJECT

public:
    editcommentBase( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
    ~editcommentBase();

    QLineEdit* LineEdit;
    QPushButton* FontButton;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;

public slots:
    virtual void fontbuttonClicked();

protected:
    QVBoxLayout* editcommentBaseLayout;
    QHBoxLayout* Layout4;
    bool event( QEvent* );
};

#endif // EDITCOMMENTBASE_H
